'''
>>> collision_probability(1) == 0                  # 1 člověk - nulová pravděpodobnost kolize
True

>>> 0.09 <= collision_probability(10) <= 0.14      # 10 lidí - pravděpodobnost je zhruba 12 % (0.12)
True

>>> 0.45 <= collision_probability(23) <= 0.55      # 23 lidí - pravděpodobnost je zhruba 50 % (0.5)
True

>>> 0.65 <= collision_probability(30) <= 0.75      # 30 lidí - pravděpodobnost je zhruba 70 % (0.7)
True

>>> 0.98 <= collision_probability(60) <= 1.00      # 60 lidí - pravděpodobnost je zhruba 99.4 % (0.994)
True

'''


import argparse


def collision_probability(n: int) -> float:
    '''Calculate the probability that among n people there will be two with the same birthday.'''
    raise NotImplementedError()  # Nahraďte řešením


def main():
    # Načtení argumentů z příkazového řádku pomocí argparse
    parser = argparse.ArgumentParser(description='Calculate the probability that among n people there will be two with the same birthday.')
    parser.add_argument('n', help='Number of people', type=str)
    args = parser.parse_args()
    n = int(args.n)
    # Výpočet a výpis pravděpodobnosti
    print(collision_probability(n))


if __name__ == '__main__':
    main()