'''
$ python hydrolase_cofactors.py data/cofactors.json
>>> run('python hydrolase_cofactors.py data/cofactors.json')  # doctest: +NORMALIZE_WHITESPACE
Phosphopantetheine
Nicotinamide-adenine dinucleotide
Adenosylcobalamin
Flavin adenine dinucleotide
Tetrahydrofolic acid
Coenzyme A
Flavin Mononucleotide
Menaquinone
Heme
Glutathione
S-adenosylmethionine
Thiamine diphosphate
Pyridoxal 5'-phosphate
'''


import sys
import contextlib
import argparse


def main() -> None:
    # Načtení argumentů z příkazového řádku pomocí argparse
    parser = argparse.ArgumentParser(description='Select and print the compounds which are cofactor for any hydrolase.')
    parser.add_argument('input', help='Input JSON file', type=str)
    args = parser.parse_args()
    
    # Následující řádek nahraďte řešením
    print('args.input:', args.input)


def run(command: str) -> None:
    '''Pomocná funkce pro doctesty - neměňte!'''
    def unquote(s: str) -> str:
        return s[1:-1] if s[0]==s[-1] and s[0] in '\'"' else s
    sys.argv = [unquote(s) for s in command.split()[1:]]
    with contextlib.redirect_stderr(sys.stdout), contextlib.suppress(SystemExit):
        main()


if __name__ == '__main__':
    main()