'''
$ python sort.py data/muses.txt
>>> run("python sort.py data/muses.txt")  # doctest: +NORMALIZE_WHITESPACE
Calliope
Clio
Erato
Euterpe
Melpomene
Polyhymnia
Terpsichore
Thalia
Urania

$ python sort.py data/muses.txt -r
>>> run("python sort.py data/muses.txt -r")  # doctest: +NORMALIZE_WHITESPACE
Urania
Thalia
Terpsichore
Polyhymnia
Melpomene
Euterpe
Erato
Clio
Calliope

$ python sort.py data/table1.csv
>>> run("python sort.py data/table1.csv")  # doctest: +NORMALIZE_WHITESPACE
Earth, 149600000, 12756, 14, 1
Jupiter, 778369000, 142984, -130, 2.64
Mars, 227936640, 6794, -63, 0.38
Mercury, 57900000, 4878, -73, 0.38
Neptune, 4496976000, 49532, -200, 1.21
Saturn, 1427034000, 120536, -130, 1.16
Uranus, 2870658186, 51118, -200, 1.11
Venus, 108160000, 12104, 480, 0.9

$ python sort.py --reverse data/table1.csv
>>> run("python sort.py --reverse data/table1.csv")  # doctest: +NORMALIZE_WHITESPACE
Venus, 108160000, 12104, 480, 0.9
Uranus, 2870658186, 51118, -200, 1.11
Saturn, 1427034000, 120536, -130, 1.16
Neptune, 4496976000, 49532, -200, 1.21
Mercury, 57900000, 4878, -73, 0.38
Mars, 227936640, 6794, -63, 0.38
Jupiter, 778369000, 142984, -130, 2.64
Earth, 149600000, 12756, 14, 1


$ python sort.py
>>> run("python sort.py")  # doctest: +ELLIPSIS
usage: ...

$ python sort.py data/muses.txt -x
>>> run("python sort.py data/muses.txt -x")  # doctest: +ELLIPSIS
usage: ...

$ python sort.py data/muses.txt data/table1.csv
>>> run("python sort.py data/muses.txt data/table1.csv")  # doctest: +ELLIPSIS
usage: ...
'''


import sys
import contextlib


def main() -> None:
    raise NotImplementedError()  # Nahraďte řešením


def run(command: str) -> None:
    '''Pomocná funkce pro doctesty - neměňte!'''
    def unquote(s: str) -> str:
        return s[1:-1] if s[0]==s[-1] and s[0] in '\'"' else s
    sys.argv = [unquote(s) for s in command.split()[1:]]
    with contextlib.redirect_stderr(sys.stdout), contextlib.suppress(SystemExit):
        main()


if __name__ == '__main__':
    main()